library lakshmi_test_sdk;
import 'dart:js' as js;
import 'dart:io';
import 'dart:math';

/// A Calculator.
class Calculator {
  /// Returns [value] plus 1.
  int addOne(int value) => value + 1;
}

class DeviceIDCheck{
  Future<String> getAndroidDeviceId() async {
    print("STARTED:!");

      try {
        // Using reflection to access the Build class and retrieve device information
        if (Platform.isAndroid) {
          // Accessing Android-specific information
          var build = AndroidDeviceInfo();
          var id = build.androidId;
          return id!;
        }
      } catch (e) {
        print("Error getting Android device ID: $e");
        return "";
      }


    return "This method only works on Android.";
  }
  Future<String> getIOSDeviceId() async {
    print("STARTED:!");

      print("IOS:!");
      String deviceId = 'FlutterApp_${Platform.operatingSystem}_${Platform.operatingSystemVersion}_${Random().nextInt(1000000)}';
      return deviceId;


    // else {
    //   print("This method only works on Android.");
    //   return "";
    // }

    return "This method only works on Android.";
  }
  Future<String> getWebDeviceId() async {
    print("STARTED:!");

      print("WEB:!");
      try {
        String ipAddress = await js.context.callMethod('getIpAddress');
        return ipAddress;
      } catch (e) {
        print('Error getting IP address: $e');
        return 'Error getting IP address: $e';
      }

    // else {
    //   print("This method only works on Android.");
    //   return "";
    // }

    return "This method only works on Android.";
  }


}
class AndroidDeviceInfo {
  // Method to retrieve the Android device ID
  String? get androidId => Platform.environment['ANDROID_ID'];
}
